package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractReturnRequest struct {
	SingleContractInfo *common.ContractReturnSingleContractInfoRequest `json:"singleContractInfo"`
	ActionInfo         *common.ContractReturnActionInfoRequest         `json:"actionInfo"`
	// 【回退签署原因】回退签署原因 【传参】 最大长度：500字符。
	RejectReason string                                    `json:"rejectReason,omitempty"`
	OperatorInfo *common.ContractReturnOperatorInfoRequest `json:"operatorInfo,omitempty"`
}

func (obj ContractReturnRequest) GetUrl() string {
	return "/contract/return"
}

func (obj ContractReturnRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
